Jump to content
Froxlor Forum
  • 0
MrServer

MySQL-Upgrade ohne Froxlor Deinstallation

Question

Einen Guten Morgen!

 

Mein System m?chte ein Upgrade auf die neuste Version MySQL-Version, aber dabei Froxlor deinstallierne.

 

Kann ich das umgehen, sodass Froxlor nicht deinstalliert wird?

 

 

Die folgenden Pakete werden ENTFERNT:
  froxlor mysql-client-5.5 mysql-client-core-5.5 mysql-server mysql-server-5.5
Die folgenden NEUEN Pakete werden installiert:
  mysql-client mysql-client-5.6 mysql-client-core-5.6

 

 

Danke im Voraus.

Share this post


Link to post
Share on other sites

17 answers to this question

Recommended Posts

  • 0

Ich gebe gleich unserem Package-Maintainer bescheid, er kann dir sicher weiterhelfen

Share this post


Link to post
Share on other sites
  • 0

Ich habe es erneut weitergegeben, bitte beachte dass auch Dessa, genau wie alle anderen, das hier in ihrer Freizeit und unentgeltlich machen...daher bitte etwas Geduld.

Share this post


Link to post
Share on other sites
  • 0

Was du mit einem Backup probieren k?nntest, w?re das Upgrade mal auszuf?hren und nachher Froxlor einfach wieder zu installieren. Configs, Ordner, etc. bleiben ja erhalten ...

Share this post


Link to post
Share on other sites
  • 0

Mach mal bitte ein

 

  apt-cache show mysql-server

 

und poste hier den Output.

 

Ich vermute mal stark das dein mysql-server5.6 kein meta paket hat.

Share this post


Link to post
Share on other sites
  • 0

Danke f?r deine R?ckmeldung.

 

 

 apt-cache show mysql-server
Package: mysql-server
Source: mysql-5.6
Version: 5.6.23-1~dotdeb.1
Architecture: all
Maintainer: Guillaume Plessis <gui@dotdeb.org>
Installed-Size: 114
Depends: mysql-server-5.6
Filename: dists/wheezy/mysql-5.6/binary-all/mysql-server_5.6.23-1~dotdeb.1_all.deb
Size: 72028
MD5sum: 07175b7480e8f323af0babc9307c84de
SHA1: 480237da0a933d2ab0baba3d0ce5ef44a92de565
SHA256: e7e9a1bda5821c461eca2fb994986e16fe873d43d208f825be606599b1181b40
Section: database
Priority: optional
Homepage: http://dev.mysql.com/
Description: MySQL database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mysql-server (currently mysql-server-5.6), as determined by the MySQL
 maintainers. Install this package if in doubt about which MySQL
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.

Package: mysql-server
Source: mysql-5.5
Version: 5.5.41-0+wheezy1
Installed-Size: 120
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Architecture: all
Depends: mysql-server-5.5
Description-en: MySQL database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mysql-server (currently mysql-server-5.5), as determined by the MySQL
 maintainers. Install this package if in doubt about which MySQL
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
Homepage: http://dev.mysql.com/
Description-md5: e519a9c4f87658afbd1d077af63f9269
Section: misc
Priority: optional
Filename: pool/updates/main/m/mysql-5.5/mysql-server_5.5.41-0+wheezy1_all.deb
Size: 76720
MD5sum: 2c829abfd00d661c9acf580e68663104
SHA1: d2483df2aae95dbb1178ac621bd6d0b8ef25d35f
SHA256: b051e4a1b6dc2c0fc04746a943935aca1aa991abb65398c59a0bd39b05a759e8

Package: mysql-server
Source: mysql-5.5
Version: 5.5.40-0+wheezy1
Installed-Size: 118
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Architecture: all
Depends: mysql-server-5.5
Description-en: MySQL database server (metapackage depending on the latest version)
 This is an empty package that depends on the current "best" version of
 mysql-server (currently mysql-server-5.5), as determined by the MySQL
 maintainers. Install this package if in doubt about which MySQL
 version you need. That will install the version recommended by the
 package maintainers.
 .
 MySQL is a fast, stable and true multi-user, multi-threaded SQL database
 server. SQL (Structured Query Language) is the most popular database query
 language in the world. The main goals of MySQL are speed, robustness and
 ease of use.
Homepage: http://dev.mysql.com/
Description-md5: e519a9c4f87658afbd1d077af63f9269
Tag: devel::lang:sql, implemented-in::c, implemented-in::c++,
 interface::daemon, network::server, role::program, works-with::db
Section: database
Priority: optional
Filename: pool/main/m/mysql-5.5/mysql-server_5.5.40-0+wheezy1_all.deb
Size: 73872
MD5sum: b49873c3a32d33f6186e779202f6a87e
SHA1: ca31f1bbd4c99af2c1da83bcdeb0da55a7cfe31e
SHA256: 05b7e93628ee4eda80b346d2e56ca1a6ad39520e42bafb6abf27e5fa15ed2a7c
 

Share this post


Link to post
Share on other sites
  • 0

Hmm. Meta Paket ist da. Vielleicht weil er das beim Update runterschmei?en will...

 

Versuch mal bitte nur die Meta Pakete zu aktualisieren, also mysql-server und mysql-client. Wenn die Version 5.6 sind, k?nnte es klappen.

Share this post


Link to post
Share on other sites
  • 0

Hmm habs grad mal selbst ausprobiert:

root@ct:/# apt-get install mysql-server mysql-client
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  libterm-readkey-perl mysql-client-5.6 mysql-client-core-5.6 mysql-common-5.6 mysql-server-5.6 mysql-server-core-5.6
Suggested packages:
  tinyca
The following packages will be REMOVED:
  mysql-client-5.5 mysql-server-5.5 mysql-server-core-5.5
The following NEW packages will be installed:
  libterm-readkey-perl mysql-client-5.6 mysql-client-core-5.6 mysql-common-5.6 mysql-server-5.6 mysql-server-core-5.6
The following packages will be upgraded:
  mysql-client mysql-server
2 upgraded, 6 newly installed, 3 to remove and 17 not upgraded.
Need to get 44.3 MB of archives.
After this operation, 54.9 MB of additional disk space will be used.
Do you want to continue [Y/n]? 
 

Wie du siehst, will er bei mir froxlor nicht removen. Wie machst du das Update genau? Hast du auch sicher das aktuelle Froxlor Paket installiert?

Share this post


Link to post
Share on other sites
  • 0

Ja ich habe die neuste Froxlor Version.

 

Hast du das Upgrade mal durchgef?hrt? Es endet in Fehlermeldungen:

 

 

Die folgenden Pakete haben unerf?llte Abh?ngigkeiten:
 froxlor : H?ngt ab von: mysql-client
           Empfiehlt: maildrop ist aber nicht installiert
 mysql-server : H?ngt ab von: mysql-server-5.6 ist aber nicht installiert
 mysql-server-5.5 : H?ngt ab von: mysql-client-5.5 (>= 5.5.41-0+wheezy1) ist aber nicht installiert
 roundcube-mysql : H?ngt ab von: mysql-client oder
                                  virtual-mysql-client
E: Unerf?llte Abh?ngigkeiten. Versuchen Sie, -f zu benutzen.
 

 

 

ein apt-get -f install bringt:

 

 

 apt-get -f install
Paketlisten werden gelesen... Fertig
Abh?ngigkeitsbaum wird aufgebaut.
Statusinformationen werden eingelesen.... Fertig
Abh?ngigkeiten werden korrigiert ... Fertig
Die folgenden zus?tzlichen Pakete werden installiert:
  mysql-client mysql-client-5.6 mysql-client-core-5.6 mysql-server-5.6
  mysql-server-core-5.6
Vorgeschlagene Pakete:
  tinyca
Die folgenden Pakete werden ENTFERNT:
  mysql-server-5.5 mysql-server-core-5.5
Die folgenden NEUEN Pakete werden installiert:
  mysql-client mysql-client-5.6 mysql-client-core-5.6 mysql-server-5.6
  mysql-server-core-5.6
0 aktualisiert, 5 neu installiert, 2 zu entfernen und 0 nicht aktualisiert.
2 nicht vollst?ndig installiert oder entfernt.
Es m?ssen noch 0 B von 44,2 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 92,3 MB Plattenplatz zus?tzlich benutzt.
M?chten Sie fortfahren [J/n]? J
Vorkonfiguration der Pakete ...
(Lese Datenbank ... 53716 Dateien und Verzeichnisse sind derzeit installiert.)
Entfernen von mysql-server-5.5 ...
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: Fehler beim Bearbeiten von mysql-server-5.5 (--remove):
 Unterprozess installiertes pre-removal-Skript gab den Fehlerwert 1 zur?ck
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action "stop" failed.
[FAIL] Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: Fehler beim Aufr?umen:
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zur?ck
Fehler traten auf beim Bearbeiten von:
 mysql-server-5.5
E: Sub-process /usr/bin/dpkg returned an error code (1)
 

Share this post


Link to post
Share on other sites
  • 0
Entfernen von mysql-server-5.5 ...
[FAIL] Stopping MySQL database server: mysqld failed!
invoke-rc.d: initscript mysql, action "stop" failed.
dpkg: Fehler beim Bearbeiten von mysql-server-5.5 (--remove):
 Unterprozess installiertes pre-removal-Skript gab den Fehlerwert 1 zur?ck

MySQL hat sich bei dir nicht stoppen lassen. Zumindest nicht schnell genug. Versuch mal manuell MySQL zu stoppen und noch mal nen

 

apt-get install -f

 

hinterher zu schmeissen. Wenn apt-get nicht will versuchs mal mit aptitude, hab geh?rt das soll da bissel weniger zicken machen.

Share this post


Link to post
Share on other sites
  • 0

Nun wollte er das Upgrade durchf?hren.

 

Ich habe via ps aux gesehen, dass augenscheinlich noch eine Instanz von mysql an war. Da diese sich auch nicht via stop oder stop --force beenden lie?, habe ich den Prozess gekillt.

 

Dann erst lief die Installation durch.

 

Danke f?r die Hilfe. Klappt bisher augenscheinlich alles gut!

Share this post


Link to post
Share on other sites
  • 0

Moin zusammen,

 

ich greif das Thema nochmal auf, da ich derzeit das gleiche Problem habe beim updaten des mysql-server Package.

 

Konfiguration:

Debian 7 64-bit

MySQL-Server 5.5.46-0+deb7u1

 

Ein stoppen von MySQL hat bei mir nicht geholfen.

Als Package-Quelle f?r das Update dient das dotdeb-Repository.

 

Eine zwischenzeitliche Deinstallation von Froxlor kommt bei mir auch nicht in Frage, da es ein Produktivsystem ist.

 

 

Vielen Dank und sch?nen Gru?

apollox

Share this post


Link to post
Share on other sites
  • 0

Ob das wirklich das selbe Problem ist, ist fraglich. Prinzipiell w?rde ich behaupten mann sollte solch alte

Threads nicht noch mal aufgreifen, wenn man sich nicht sicher ist. Das sorgt nur f?r Verwirrung. 

 

Mach am besten einen neuen auf und wichtig, schreib deine Meldungen dazu. Was kriegst du beim Upgrade,

welche befehle nutzt du etc..

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...